/****************************************************************************\
*                                                                            *
*                              GLOBAL_VARS.h                                 *
*                                                                            *
* The gloabal variables for the WL project.                                  *
*                                                                            *
* (c) 2012 by CH                                                             *
*                                                                            *
* V 1.00 - 20120804                                                          *
*                                                                            *
\****************************************************************************/


#ifndef GLOBAL_VARS_INCLUDED
#define GLOBAL_VARS_INCLUDED

EXTERN int HV;      //Hobbit version

EXTERN word DictionaryBaseAddress;
EXTERN word ObjectsIndexAddress, ObjectsAddress;

EXTERN SDL_Surface *screen;
EXTERN SDL_Surface *GameMap;

EXTERN int NoScanLines;
EXTERN int LockLevel;
EXTERN struct CharSetStruct CharSet;

EXTERN struct TextWindowStruct GameWin;  // dummy to draw frame
EXTERN struct TextWindowStruct LogWin;
EXTERN struct TextWindowStruct ObjWin;
EXTERN struct TextWindowStruct HelpWin;

EXTERN byte mem[0x10000];         // Spectrum memory
EXTERN Z80 z80;                   // my Z80 processor

EXTERN Uint16 CurrentPressedKey;  // is used in InZ80()


#endif /* GLOBAL_VARS_INCLUDED */
